umbrello: UMLFileDialog Class Reference

umbrello 2.39.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
UMLFileDialog Class Reference

`#include <umlfiledialog.h>`

Inheritance diagram for UMLFileDialog:

## Public Member Functions
| UMLFileDialog (const QUrl &startDir, const QString &filter, QWidget *parent, QWidget *widget=0)
| ~UMLFileDialog ()
int | exec ()
void | setCaption (const QString &caption)
void | setAcceptMode (QFileDialog::AcceptMode mode)
void | setMimeTypeFilters (const QStringList &filters)
void | selectUrl (const QUrl &url)
void | setUrl (const QUrl &url)
QUrl | selectedUrl ()
void | setSelection (const QString &name)

## Protected Attributes
QFileDialog * | m_dialog

## Detailed Description

Wrapper class for KFileDialog supporting graphviz *.dot files.

This class is required because KFileDialog do not support mixing of mime type based filters with other filters.

Because the graphviz .dot extension do not have an official mimetype, we use a fake mime type named image/x-dot

## Constructor & Destructor Documentation

## ◆ UMLFileDialog()

UMLFileDialog::UMLFileDialog | ( | const QUrl & | startDir,
|  | const QString & | filter,
|  | QWidget * | parent,
|  | QWidget * | widget = 0 )

## ◆ ~UMLFileDialog()

UMLFileDialog::~UMLFileDialog | ( |  | ) |

## Member Function Documentation

## ◆ exec()

int UMLFileDialog::exec | ( |  | ) |

## ◆ selectedUrl()

QUrl UMLFileDialog::selectedUrl | ( |  | ) |

## ◆ selectUrl()

void UMLFileDialog::selectUrl | ( | const QUrl & | url | ) |

## ◆ setAcceptMode()

void UMLFileDialog::setAcceptMode | ( | QFileDialog::AcceptMode | mode | ) |

## ◆ setCaption()

void UMLFileDialog::setCaption | ( | const QString & | caption | ) |

## ◆ setMimeTypeFilters()

void UMLFileDialog::setMimeTypeFilters | ( | const QStringList & | filters | ) |

## ◆ setSelection()

void UMLFileDialog::setSelection | ( | const QString & | name | ) |

## ◆ setUrl()

void UMLFileDialog::setUrl | ( | const QUrl & | url | ) |

## Member Data Documentation

## ◆ m_dialog

QFileDialog* UMLFileDialog::m_dialog
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlfiledialog.h
- umbrello/dialogs/umlfiledialog.cpp